curl --request PATCH \
--url https://api.hubapi.com/crm/task-series/2026-09/{taskId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.hubapi.com/crm/task-series/2026-09/{taskId}"
payload = {
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {},
series: {
repeatInterval: 'RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR',
repeatStatus: '<string>',
startsAt: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://api.hubapi.com/crm/task-series/2026-09/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/task-series/2026-09/{taskId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'properties' => [
],
'series' => [
'repeatInterval' => 'RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR',
'repeatStatus' => '<string>',
'startsAt' => '2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/task-series/2026-09/{taskId}"
payload := strings.NewReader("{\n \"properties\": {},\n \"series\": {\n \"repeatInterval\": \"RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR\",\n \"repeatStatus\": \"<string>\",\n \"startsAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.hubapi.com/crm/task-series/2026-09/{taskId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"properties\": {},\n \"series\": {\n \"repeatInterval\": \"RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR\",\n \"repeatStatus\": \"<string>\",\n \"startsAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/task-series/2026-09/{taskId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"properties\": {},\n \"series\": {\n \"repeatInterval\": \"RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR\",\n \"repeatStatus\": \"<string>\",\n \"startsAt\": \"2023-11-07T05:31:56Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update recurring task
Mettez à jour les détails d’une série de tâches spécifique dans votre compte HubSpot. Ce point de terminaison vous permet de modifier les propriétés et les configurations de série pour la tâche identifiée par l’ID de tâche. Utilisez-le pour ajuster la planification des tâches ou mettre à jour les informations relatives aux tâches.
curl --request PATCH \
--url https://api.hubapi.com/crm/task-series/2026-09/{taskId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.hubapi.com/crm/task-series/2026-09/{taskId}"
payload = {
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {},
series: {
repeatInterval: 'RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR',
repeatStatus: '<string>',
startsAt: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://api.hubapi.com/crm/task-series/2026-09/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/task-series/2026-09/{taskId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'properties' => [
],
'series' => [
'repeatInterval' => 'RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR',
'repeatStatus' => '<string>',
'startsAt' => '2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/task-series/2026-09/{taskId}"
payload := strings.NewReader("{\n \"properties\": {},\n \"series\": {\n \"repeatInterval\": \"RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR\",\n \"repeatStatus\": \"<string>\",\n \"startsAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.hubapi.com/crm/task-series/2026-09/{taskId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"properties\": {},\n \"series\": {\n \"repeatInterval\": \"RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR\",\n \"repeatStatus\": \"<string>\",\n \"startsAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/task-series/2026-09/{taskId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"properties\": {},\n \"series\": {\n \"repeatInterval\": \"RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR\",\n \"repeatStatus\": \"<string>\",\n \"startsAt\": \"2023-11-07T05:31:56Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L'identifiant unique de la série de tâches à mettre à jour.
Corps
Réponse
successful operation
L'identifiant unique de la série de tâches, représenté sous forme de chaîne de caractères.
Une carte des noms de propriétés personnalisées et de leurs valeurs, où chaque valeur est une chaîne de caractères.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
La date et l'heure de création de la série de tâches, au format ISO 8601.
La date et l'heure de la dernière mise à jour de la série de tâches, au format ISO 8601.